Retrieve a List of Element Dynamic Attributes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • element_id number Required

    id of the element

Query parameters

  • fields string

    extra information of each element dynamic attribute on the list

  • limit number

    maximum count of the element dynamic attribute list

  • offset number

    skip that many element dynamic attribute before beginning to return

Responses

  • 200 application/json

    OK

    Hide headers attribute Show headers attribute
    • Total-Count string
    Hide response attributes Show response attributes object
    • attributename_1224hourtime string
    • value string Required

      returned value type can differ based on dynamic attribute

GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/elements/{element_id}/dynamic_attributes' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
[
  {
    "attribute_name": "12_24_hour_time",
    "last_modified_date": "2019-04-11 15:42:58 +0000",
    "type": "string",
    "value": "12hr"
  },
  {
    "attribute_name": "gdpr",
    "last_modified_date": "2019-04-11 15:42:58 +0000",
    "type": "boolean",
    "value": true
  }
]